@import "../scss/variables";

.center {
  width: 800px;
}

/* Style the cards */

.oots-grid-cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
  grid-gap: 10px;
}

.oots-grid-card {
  display: flex;
  justify-content: left;
  align-items: center;
  color: #001832;
  height: 48px;
  padding-left: 1rem;
  flex-direction: row;
  border: none;
  /*opacity: 0.5;*/
  background: $oots-neutral-100;
  &.active {
    cursor: pointer;
  }
  &.not-available {
    background: none;
  }

  position: relative;

  img {
    height: 20px;
    padding-right: 1rem;
  }
  span {
    max-width: 50%;
    line-height: 1;
  }

  &.selected {
    position: relative;
    box-shadow: $green-300 0 0 3px;
  }

  &:not(.not-available):after {
    content: ' ';
    width: 18px;
    height: 18px;
    top: 1rem;
    right: 10%;
    position: absolute;
    border: 1px solid $black-900;
    border-radius: 50%;
  }

  &.selected:after {
    background-image: url(../images/green-300-check-mark.svg);
    background-repeat: no-repeat;
    border: none;
    width: 20px;
    height: 20px;
  }
}

